#version 330 core
/*reference: 
	//http://www.learnopengl.com/#!Model-Loading/Model 
	//cgue tutorial
*/

layout (location = 0) in vec3 position; // The position variable has attribute position 0
  
uniform mat4 model;
uniform mat4 view;
uniform mat4 projection;


out vec4 vertexColor; // Specify a color output to the fragment shader

void main()
{
	

     gl_Position = projection * view *model*vec4(position, 1.0);
    vertexColor = vec4(1.0f, 0.7f, 0.7f, 1.0f); // Set the output variable to a dark-red color
}